Bug 1263563 - [ppc64le] VM startup failed when hot-plug memory feature is enabled and memory is large than 256GB
Summary: [ppc64le] VM startup failed when hot-plug memory feature is enabled and memor...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-3.6.0-rc3
: 3.6.0
Assignee: Nobody
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On: 1263039
Blocks: RHEV3.6PPC 1277183 1277184
TreeView+ depends on / blocked
 
Reported: 2015-09-16 07:57 UTC by Israel Pinto
Modified: 2016-04-20 01:30 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
The startup time for virtual machines with large memory is slow on IBM POWER8 hosts. Therefore the default maximum memory was decreased to 1TB so the delay in the start up time was not noticeable. To change the default value, use the engine configuration tool with the VM64BitMaxMemorySizeInMB key.
Clone Of:
Environment:
Last Closed: 2016-04-20 01:30:09 UTC
oVirt Team: Virt
Target Upstream Version:
Embargoed:
juwu: needinfo-


Attachments (Terms of Use)
Logs (926.09 KB, application/zip)
2015-09-16 07:57 UTC, Israel Pinto
no flags Details

Description Israel Pinto 2015-09-16 07:57:16 UTC
Created attachment 1073913 [details]
Logs

Description of problem:
I tested memory hot plug on PPC with VM64BitMaxMemorySizeInMB: 
512GB,510GB and 256BG
Setup:

Results:
1. With 512GB and 510GB: The VM failed to run:
"VM golden_env_mixed_virtio_0 is down with error. Exit message: Lost connection with qemu process."
2. With 256GB: test PASSSED


Attached engine, vdsm, qeum logs


Version-Release number of selected component (if applicable):
RHEVM 3.6.0.12 :
Red Hat Enterprise Virtualization Manager Version: 3.6.0-0.15.master.el6
VDSM:  vdsm-4.17.6-1.el7ev
Libvirt: libvirt-1.2.17-8.el7


How reproducible:
All the time

Comment 2 Israel Pinto 2015-09-16 09:12:26 UTC
Yes,
[root@ibm-p8-rhevm-03 ~]# rpm -qa | grep -i slof
SLOF-20150313-3.gitc89b0df.el7.noarch

Comment 4 Michal Skrivanek 2015-09-17 07:39:51 UTC
so this becomes a TestOnly once the qemu package is out (bug 1263039)

Comment 5 Israel Pinto 2015-10-22 13:30:31 UTC
Verify with rhevm on ppc env:
RHEVM Version: 3.6.0-0.18.el6
vdsm version: vdsm-4.17.8-1.el7ev
libvirt version: libvirt-1.2.17-12.el7
Scenario:
1. Create VM with 1G
2. hot plug memory 1G/2G/256M
3. Check in VM memory status with free
4. Migrate VM

All cases pass.


Note You need to log in before you can comment on or make changes to this bug.